--- title: Incoming References --- ## Get Incoming Publication References for a Document **Required scope:** `public-api:read` This endpoint returns all publications which link to this document (via content or metadata) The example below finds a reference to ID 1 when requesting for incomingDocumentReference with ID 2. ![Component Property](/reference/public-api/publications/references.png) **Use Cases** - Find publications that link to this document for cache invalidation >[!WARNING] >- Eventual Consistency of Reference because of the usage of Elasticsearch >- It is not supported to find publications in a [Document List](/reference/public-api/document-lists/llms.txt) put on another document. **History** | Version | Change | | ------- | ------ | | release-2026-01 | Responds with an object containing a `results` array, the `total` number of results, and a `cursor` for pagination. | | release-2023-09 | Reference type `documents` changed to `document` where every document id has a separate reference entry. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2026-05/documents/{documentId}/incomingDocumentReferences" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2026-05/documents/{documentId}/incomingDocumentReferences ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?limit | integer | | A limit for how much published documents to retrieve. Defaults to 100. Max. 100. | | ?offset | integer | | An offset into the query. Useful when getting more than 100 results (pagination). | | ?after | string | | The `cursor` provided in the response can be passed back for pagination instead of using `offset`. | **Response** _200 OK_ ```json { "total": 5, "cursor": "eyJhIjpbIjE3NjUyNjIxODYuMjgyIiw2NCw2NF19", "results": [ { "id": 4, "references": [ { "id": "1", "type": "document", "location": "include-directive", "componentId": "doc-1euiflvoq0", "serviceName": "editable-teaser", "propertyName": "article", "componentName": "teaser-include", "directiveName": "teaser" } ] }, { "id": 2, "references": [ { "id": "1", "type": "document", "location": "include-directive", "componentId": "doc-1eu6i7l880", "serviceName": "editable-teaser", "propertyName": "article", "componentName": "teaser-include", "directiveName": "teaser" } ] } ] } ``` ## Get Incoming Publication References for a Document > [!NOTE] > This endpoint has changes in version 2026-01. > **Required scope:** `public-api:read` This endpoint returns all publications which link to this document (via content or metadata) The example below finds a reference to ID 1 when requesting for incomingDocumentReference with ID 2. ![Component Property](/reference/public-api/publications/references.png) **Use Cases** - Find publications that link to this document for cache invalidation >[!WARNING] >- Eventual Consistency of Reference because of the usage of Elasticsearch >- It is not supported to find publications in a [Document List](/reference/public-api/document-lists/llms.txt) put on another document. **History** | Version | Change | | ------- | ------ | | release-2023-09 | Reference type `documents` changed to `document` where every document id has a separate reference entry. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2025-11/documents/{documentId}/incomingDocumentReferences" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2025-11/documents/{documentId}/incomingDocumentReferences ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?limit | integer | | A limit for how much published documents to retrieve. Defaults to 100. Max. 100 | | ?offset | integer | | An offset into the query. Useful when getting more than 100 results (pagination) | **Response** _200 OK_ ```json [ { "id": 4, "references": [ { "id": "1", "type": "document", "location": "include-directive", "componentId": "doc-1euiflvoq0", "serviceName": "editable-teaser", "propertyName": "article", "componentName": "teaser-include", "directiveName": "teaser" } ] }, { "id": 2, "references": [ { "id": "1", "type": "document", "location": "include-directive", "componentId": "doc-1eu6i7l880", "serviceName": "editable-teaser", "propertyName": "article", "componentName": "teaser-include", "directiveName": "teaser" } ] } ] ``` ## Get Incoming Media References for a Document **Required scope:** `public-api:read` This endpoint returns all Media Library Entries which link to this document (via metadata - li-document-reference) **History** | Version | Change | | ------- | ------ | | release-2026-01 | Responds with an object containing a `results` array, the `total` number of results, and a `cursor` for pagination. | | release-2023-09 | Reference type `documents` changed to `document` where every document id has a separate reference entry. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2026-05/documents/{documentId}/incomingMediaReferences" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2026-05/documents/{documentId}/incomingMediaReferences ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?limit | integer | | A limit for how much published documents to retrieve. Defaults to 100. Max. 100. | | ?offset | integer | | An offset into the query. Useful when getting more than 100 results (pagination). | | ?after | string | | The `cursor` provided in the response can be passed back for pagination instead of using `offset`. | **Response** _200 OK_ ```json { "total": 5, "cursor": "eyJhIjpbIjE3NjUyNjIxODYuMjgyIiw2NCw2NF19", "results": [ { "id": "98sXCahM5PEk", "references": [ { "id": "3", "type": "document", "location": "metadata", "propertyName": "documentLink" } ] } ] } ``` ## Get Incoming Media References for a Document > [!NOTE] > This endpoint has changes in version 2026-01. > **Required scope:** `public-api:read` This endpoint returns all Media Library Entries which link to this document (via metadata - li-document-reference) **History** | Version | Change | | ------- | ------ | | release-2023-09 | Reference type `documents` changed to `document` where every document id has a separate reference entry. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2025-11/documents/{documentId}/incomingMediaReferences" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2025-11/documents/{documentId}/incomingMediaReferences ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?limit | integer | | A limit for how much published documents to retrieve. Defaults to 100. Max. 100 | | ?offset | integer | | An offset into the query. Useful when getting more than 100 results (pagination) | **Response** _200 OK_ ```json [ { "id": "98sXCahM5PEk", "references": [ { "id": "3", "type": "document", "location": "metadata", "propertyName": "documentLink" } ] } ] ```